Services
All operations require authentication.
List SSL certificatesProduction
Returns the identifiers of the SSL certificates of the account.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ssl \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an SSL certificateProduction
Returns an SSL certificate: status, type (DV, OV or EV), issuing authority, common name, alternative names, validity dates, and the certificate and its issuer chain once issued.
Path parameters
Service name
Response
The authority your certificate is issued from
comodosectigoYour certificate
The issuer chain of your certificate
The CN field in your certificate
The CSR used to create your certificate
IAM resource metadata
The internal name of your certificate offer
Current status of your certificate
creatingerrorokvalidatingThe SAN field for multidomain certificate
Type of your certificate
DVEVOVYour certificate is invalid from this date
Your certificate is valid from this date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ssl/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "authority": "comodo", "certificate": "string", "chain": "string", "commonName": "string", "csr": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string", "status": "creating", "subjectAltName": [ "string" ], "type": "DV", "validityEnd": "2024-01-01T12:00:00Z", "validityStart": "2024-01-01T12:00:00Z"}